Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Data

Main Tee.Data class to perform multi-dimensional queries and charts.
Defined in: <..\..\src\teechart-data.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Data()

Method Summary
Method Attributes | Method Name and Description
--- | ---
<inner> | accumulate(measure, value, total)
| addDataSet(title, object, field, id)
| addJSON(title, json, field, id)
| applyStyle(chart, index)
| Chart(canvas, title)
| groupOther(data, max, label) Groups small values into a single "other" value.
<inner> | initTotal(total, Ids)
| loadXMLDoc(url)
| loadXMLString(text)
| query(dimension, metric)
| queryDim(m, dim, total)
| slider(chart, items, x, y, width, height)
<inner> | sumOfCount(total)
<inner> | xmlToJson(xml)

Class Detail
Tee.Data()
Method Detail
<inner> accumulate(measure, value, total)

Parameters:
measure
value
total

{Tee.Data.Dimension} addDataSet(title, object, field, id)

Parameters:
{String} title
  The string identifier for this dataset.
{object} object
  The custom data for this dataset.
{String} field Optional, Default: ""
  The object data optional field that contains an array.
{String} id Optional, Default: ""
  The optional field in the array that uniquely identifies each array row.

Returns:
  {Tee.Data.Dimension} Returns a top-level dimension.

addJSON(title, json, field, id)

Parameters:
title
json
field
id

applyStyle(chart, index)

Parameters:
chart
index

Chart(canvas, title)

Parameters:
canvas
title

groupOther(data, max, label)
Groups small values into a single "other" value. Requires sorted data.values in DESCENDING order. If there are more than "max" number of values, the rest are grouped and removed.

Parameters:
data
max
label

<inner> initTotal(total, Ids)

Parameters:
total
Ids

loadXMLDoc(url)

Parameters:
url

loadXMLString(text)

Parameters:
text

query(dimension, metric)

Parameters:
dimension
metric

queryDim(m, dim, total)

Parameters:
m
dim
total

slider(chart, items, x, y, width, height)

Parameters:
chart
items
x
y
width
height

<inner> sumOfCount(total)

Parameters:
total

<inner> xmlToJson(xml)

Parameters:
xml

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)